For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Push Notifications
      • GETList Push Notifications
      • GETFetch a Push Notification
      • GETFetch a Push Notification Operation
      • GETList Push Notification Operations
        • GETList Push Notification Apps
        • GETFetch a Push Notification App
        • PATCHUpdate a Push Notification App
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush NotificationsApps

Fetch a Push Notification App

GET
https://comms.twilio.com/v1/PushNotifications/Apps/:appName
GET
/v1/PushNotifications/Apps/:appName
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.pushNotifications.apps.fetch("appName");
9}
10main();
1{
2 "name": "limonade_app",
3 "isDefault": true,
4 "defaultCredentials": [
5 {
6 "id": "comms_credential_01h9krwprkeee8fzqspvwy6nq8",
7 "credentialType": "FCM",
8 "createdAt": "2023-08-31T14:15:22Z",
9 "updatedAt": "2023-08-31T14:15:22Z"
10 },
11 {
12 "id": "comms_credential_01h9krwprkeee8fzqspvwy6nq8",
13 "credentialType": "APN",
14 "createdAt": "2023-08-31T14:15:22Z",
15 "updatedAt": "2023-08-31T14:15:22Z"
16 }
17 ],
18 "createdAt": "2023-08-31T14:15:22Z",
19 "updatedAt": "2023-08-31T14:15:22Z"
20}

This operation fetches a single Push Notification App using its name.

Was this page helpful?
Previous

Update a Push Notification App

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

appNamestringRequired

Response

OK
namestringformat: "^[a-z0-9_]+$"1-64 characters

The name of the App. This is the unique identifier of the App.

isDefaultboolean

Whether this App is the default (Push Notification) App for the Account. The first App auto-created is automatically set as the default. To update the default App, use PATCH /PushNotifications/Apps/{appName}.

defaultCredentialslist of objects

The default Credentials for this App.

createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error